lp:ubuntu/oneiric-updates/nautilus-python

Created by Ubuntu Package Importer on 2011-10-18 and last modified on 2011-10-18
Get this branch:
bzr branch lp:ubuntu/oneiric-updates/nautilus-python
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

19. By Fabien LOISON on 2011-10-12

* debian/patches/port-to-pygobject-3.0.patch:
  - Makes Nautilus Python working with Nautilus 3.2 (LP: #858925)
* debian/patches/fix-examples.patch:
  - Updated examples to work with pygobject 3 (LP: #872863)
* debian/rules, debian/control.in:
  - Add quilt patch system

18. By Michael Terry on 2011-07-06

* New upstream release that works with nautilus 3.0
* debian/control.in:
  - Update dependencies

17. By Matthias Klose on 2010-12-09

Rebuild with python 2.7 as the python default.

16. By Emilio Pozuelo Monfort <email address hidden> on 2010-01-30

[ Josselin Mouette ]
* Require python-gconf instead of python-gnome2. Closes: #541582.
* Add missing dependency on python-gtk2.
* Drop useless .la files.

[ Emilio Pozuelo Monfort ]
* New upstream release.
* debian/patches/02_libeel.patch,
  debian/patches/10_dlopen-nasty.patch,
  debian/patches/50_CVE-2009-0317.patch,
  debian/patches/70_missing_m4.patch,
  debian/patches/90_relibtoolize.patch:
  - Removed, no longer needed / applied upstream.
* debian/control.in:
  - Remove libgnomevfs-dev from build depends, add python-gobject-dev.
  - Standards-Version is 3.8.4, no changes needed.
* debian/watch:
  - Don't uupdate.
* debian/control.in,
  debian/rules:
  - Remove quilt support, no longer needed.

15. By Josselin Mouette <email address hidden> on 2009-04-25

Remove useless libeel build-dependency.

14. By Daniel Holbach on 2009-03-18

* debian/patches/01-fedora-build-patch.patch: apply patch from
  http://cvs.fedoraproject.org/viewvc/devel/nautilus-python/nautilus-python-0.5.1-gnome-vfs.patch?revision=1.1
  to fix build.
* Rebuild for Python2.6 transition.
* debian/control.in:
  - drop python from Build-Depends: python-dev already depends on it.
  - add ${misc:Depends} to Depends.
  - add libgnomevfs2-dev to Build-Depends.

13. By Michael Bienia on 2008-09-22

[ Didier Roche ]
* New upstream release (LP: #272231)
  - Add support for location widgets (LP: #271485)
* Inline patch in src/nautilus.defs applied upstream
* 01_fix-extension-directory.patch deleted: replacement of nautilus
  extensions dir with upstream one (@NAUTILUS_EXTENSION_DIR@)

[ Michael Bienia ]
* Add the copyright holders to debian/copyright.

12. By Emilio Pozuelo Monfort on 2008-07-02

No-change rebuild to get rid of the libffi4 dependency.

11. By Kjell Braden on 2008-04-11

debian/rules, debian/README.Debian,
debian/patches/01_fix-extension-directory.patch:
moved from extensions-1.0 to extensions-2.0 (LP: #215714)

10. By James Westby on 2008-03-31

* Add the ".1" to the module name of python that we try and g_module_open
  so that it works without having the python -dev package installed.
  This is fragile as it is hardcoded, and wouldn't be accepted upstream
  as it would break on Windows. However it will work ok for Hardy,
  as it is a more controlled environment. (LP: #44704)
* Take the patch from http://bugzilla.gnome.org/show_bug.cgi?id=518824
  to catch nautilus-python up with nautilus changes.
* Change debian/dirs so that it uses /usr/lib/nautilus/extensions-2.0/python
  instead of the old /usr/lib/nautilus/extensions-1.0/python.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/nautilus-python
This branch contains Public information 
Everyone can see this information.

Subscribers